- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TAPCCache
TApplicationStateCacheDependency
TCache
TCacheDependency
TCacheDependencyList
TChainedCacheDependency
TDbCache
TDirectoryCacheDependency
TFileCacheDependency
TGlobalStateCacheDependency
TMemCache
TSqliteCache
TXCache

Keyword

# Class TAPCCache

    TComponent
       |
       --TApplicationComponent
          |
          --TModule
             |
             --TCache
                |
                --TAPCCache

TAPCCache class

TAPCCache implements a cache application module based on APC.

By definition, cache does not ensure the existence of a value even if it never expires. Cache is not meant to be an persistent storage.

To use this module, the APC PHP extension must be loaded and set in the php.ini file the following:

     apc.cache_by_default=0

Some usage examples of TAPCCache are as follows,

     $cache=new TAPCCache;  // TAPCCache may also be loaded as a Prado application module
      $cache->init(null);
     $cache->add('object',$object);
     $object2=$cache->get('object');

If loaded, TAPCCache will register itself with TApplication as the cache module. It can be accessed via TApplication::getCache().

TAPCCache may be configured in application configuration file as follows

     <module id="cache" class="System.Caching.TAPCCache" />

Since: 3.0b
Author: Alban Hanry <compte_messagerie@hotmail.com>
Author: Knut Urdalen <knut.urdalen@gmail.com>

Method Summary
protected boolean | addValue ( string $key, string $value, integer $expire) Stores a value identified by a key into cache if the cache does not contain this key.
protected boolean | deleteValue ( string $key) Deletes a value with the specified key from cache This is the implementation of the method declared in the parent class.
void | flush () Deletes all values from cache.
protected string | getValue ( string $key) Retrieves a value from cache with a specified key.
void | init ( TXmlElement $config) Initializes this module.
protected boolean | setValue ( string $key, string $value, integer $expire) Stores a value identified by a key in cache.

Methods Inherited From TCache
TCache::add(), TCache::delete(), TCache::flush(), TCache::generateUniqueKey(), TCache::get(), TCache::getKeyPrefix(), TCache::getPrimaryCache(), TCache::init(), TCache::offsetExists(), TCache::offsetGet(), TCache::offsetSet(), TCache::offsetUnset(), TCache::set(), TCache::setKeyPrefix(), TCache::setPrimaryCache(),

Methods Inherited From TModule
TModule::getID(), TModule::init(), TModule::setID()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## addValue

protected boolean addValue | (string $key , string $value , integer $expire )

Stores a value identified by a key into cache if the cache does not contain this key.

This is the implementation of the method declared in the parent class.

Input
string | $key | the key identifying the value to be cached
string | $value | the value to be cached
integer | $expire | the number of seconds in which the cached value will expire. 0 means never expire.
Output
boolean | true if the value is successfully stored into cache, false otherwise
Exception

## deleteValue

protected boolean deleteValue | (string $key )

Deletes a value with the specified key from cache This is the implementation of the method declared in the parent class.

Input
string | $key | the key of the value to be deleted
Output
boolean | if no error happens during deletion
Exception

## flush

public void flush | ()

Deletes all values from cache.

Be careful of performing this operation if the cache is shared by multiple applications.

Output
Exception

## getValue

protected string getValue | (string $key )

Retrieves a value from cache with a specified key.

This is the implementation of the method declared in the parent class.

Input
string | $key | a unique key identifying the cached value
Output
string | the value stored in cache, false if the value is not in the cache or expired.
Exception

## init

public void init | (TXmlElement $config )

Initializes this module.

This method is required by the IModule interface.

Input
TXmlElement | $config | configuration for this module, can be null
Output
Exception
throws | TConfigurationException if apc extension is not installed or not started, check your php.ini

## setValue

protected boolean setValue | (string $key , string $value , integer $expire )

Stores a value identified by a key in cache.

This is the implementation of the method declared in the parent class.

Input
string | $key | the key identifying the value to be cached
string | $value | the value to be cached
integer | $expire | the number of seconds in which the cached value will expire. 0 means never expire.
Output
boolean | true if the value is successfully stored into cache, false otherwise
Exception